Infrastructure - Task #1493

Story # 725 (In Progress): Create Authentication and Access control design specifications

Create sequence diagrams for Identity Management functions.

2011-04-07 02:29 - Matthew Jones

Status: Closed

Priority: Normal

Assignee: Ben Leinfelder
Category:

Target version: Maintenance Backlog
Milestone: None

*

Product Version:

Start date:
Due date:

% Done:

Estimated time:

Story Points:

100%
0.00 hour

Description

History

#1 - 2011-05-06 20:37 - Ben Leinfelder

- Assignee changed from Matthew Jones to Ben Leinfelder

#2 - 2011-05-10 18:26 - Ben Leinfelder
- % Done changed from 0 to 50

There are diagrams for three scenarios:

1. register two identities (accounts) as equivalent in DataONE (register, map)

2. register an untrusted account and have admin verify it (register, verify)

3. manage user group (create, add, remove)

| think it would be useful to continue these diagrams on the Identity Service implementation side of things. Currently it's a very client-specific

perspective.

#3 - 2011-11-01 16:36 - Ben Leinfelder
- Status changed from New to Closed

- Milestone set to None

We haven't changed much since | drafted these diagrams.

http://mule1.dataone.org/ArchitectureDocs-current/design/Authentication.html

#4 - 2012-10-11 15:27 - Dave Vieglais

- Target version changed from Sprint-2012.37-Block.5.3 to Sprint-2012.41-Block.6.1

#5 - 2012-10-24 18:10 - Dave Vieglais

- Target version changed from Sprint-2012.41-Block.6.1 to Sprint-2012.46-Block.6.3

#6 - 2012-12-12 16:50 - Chris Jones

- Target version changed from Sprint-2012.46-Block.6.3 to Sprint-2012.50-Block.6.4
http://mule1.dataone.org/ArchitectureDocs-current/design/Authentication.html

#7 - 2012-12-12 19:09 - Chris Jones
- Target version changed from Sprint-2012.50-Block.6.4 to 2013.2-Block.1.1

#8 - 2013-03-01 18:57 - Chris Jones
- Target version changed from 2013.2-Block.1.1 to 2013.10-Block.2.1

#9 - 2013-08-02 12:22 - Dave Vieglais
- Target version changed from 2013.10-Block.2.1 to 2013.33-Block.4.4

#10 - 2014-01-06 17:50 - Chris Jones
- Target version changed from 2013.33-Block.4.4 to 2014.2-Block.1.1

#11 - 2014-03-14 17:29 - Chris Jones
- Target version deleted (2014.2-Block.1.1)

#12 - 2014-10-01 20:47 - Dave Vieglais

- Target version set to Maintenance Backlog
